Subject: Re: [bug#67261] [PATCH v2] gnu: u-boot: Update to 2023.10.

From: Vagrant Cascadian <[email-masked]>
Date: Fri, 01 Dec 2023 11:48:55 -0800

On 2023-11-27, Herman Rimm wrote:
> If you would like to test u-boot v2023.10 and have a HiFive Unmatched,
> please test this revision of the patch and let me know whether or not
> the device still boots.

Will check booting an unmatched board; I need to do the same test to
upgrade u-boot in Debian anyways.

The main outstanding issue is that u-boot-documentation still fails to
build.

In order to get u-boot-documentation to build, I had to add
python-sphinx-prompt, and in order to get python-sphinx-prompt to build,
I needed to disable tests. Can someone from the python team take a look
at python-sphinx-prompt?

python-sphinx-rtd-theme is an optional dependency for the documentation,
but it does build without it. I am not sure how much nicer it is with or
without it. Any opinions on enabling that or using the default theme?

Applying this patch on top of v2 gets everything building for me, though
obviously disabling tests for python-sphinx-prompt is not ideal:

diff --git a/gnu/packages/bootloaders.scm b/gnu/packages/bootloaders.scm
index 5e6edb143e..1b5e745fce 100644
--- a/gnu/packages/bootloaders.scm
+++ b/gnu/packages/bootloaders.scm
@@ -764,6 +764,8 @@ (define-public u-boot-documentation
      (modify-inputs (package-native-inputs u-boot)
        (append fontconfig
                python-sphinx
+               python-sphinx-prompt
+               ; python-sphinx-rtd-theme
                texinfo
                which)))
     (synopsis "U-Boot documentation")
diff --git a/gnu/packages/sphinx.scm b/gnu/packages/sphinx.scm
index eee1f1c4a8..020e0794ef 100644
--- a/gnu/packages/sphinx.scm
+++ b/gnu/packages/sphinx.scm
@@ -637,7 +637,8 @@ (define-public python-sphinx-prompt
         (base32 "0x9wmgf04rzivbzp7jv1b7fkhkpi02lpk5w1qf4i7bcgih00ym8a"))))
     (build-system python-build-system)
     (arguments
-     `(#:phases
+     `(#:tests? #f ; FIXME build fails without this, needed to build u-boot-documentation 2023.10+
+       #:phases
        (modify-phases %standard-phases
          (replace 'check
            (lambda* (#:key inputs outputs tests? #:allow-other-keys)

live well,
  vagrant